Bullet Collision Detection & Physics Library: btRigidBody::btRigidBodyConstructionInfo Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btRigidBody::btRigidBodyConstructionInfo Struct Reference

The btRigidBodyConstructionInfo structure provides information to create a rigid body. More...

`#include <btRigidBody.h>`

Collaboration diagram for btRigidBody::btRigidBodyConstructionInfo:
[legend]

## Public Member Functions
| btRigidBodyConstructionInfo (btScalar mass, btMotionState *motionState, btCollisionShape *collisionShape, const btVector3 &localInertia=btVector3(0, 0, 0))

## Public Attributes
btScalar | m_mass
btMotionState * | m_motionState
| When a motionState is provided, the rigid body will initialize its world transform from the motion state In this case, m_startWorldTransform is ignored.
btTransform | m_startWorldTransform
btCollisionShape * | m_collisionShape
btVector3 | m_localInertia
btScalar | m_linearDamping
btScalar | m_angularDamping
btScalar | m_friction
| best simulation results when friction is non-zero
btScalar | m_rollingFriction
| the m_rollingFriction prevents rounded shapes, such as spheres, cylinders and capsules from rolling forever.
btScalar | m_spinningFriction
btScalar | m_restitution
| best simulation results using zero restitution.
btScalar | m_linearSleepingThreshold
btScalar | m_angularSleepingThreshold
bool | m_additionalDamping
btScalar | m_additionalDampingFactor
btScalar | m_additionalLinearDampingThresholdSqr
btScalar | m_additionalAngularDampingThresholdSqr
btScalar | m_additionalAngularDampingFactor

## Detailed Description

The btRigidBodyConstructionInfo structure provides information to create a rigid body.

Setting mass to zero creates a fixed (non-dynamic) rigid body. For dynamic objects, you can use the collision shape to approximate the local inertia tensor, otherwise use the zero vector (default argument) You can use the motion state to synchronize the world transform between physics and graphics objects. And if the motion state is provided, the rigid body will initialize its initial world transform from the motion state, m_startWorldTransform is only used when you don't provide a motion state.

Definition at line 109 of file btRigidBody.h.

## Constructor & Destructor Documentation

## ◆ btRigidBodyConstructionInfo()

btRigidBody::btRigidBodyConstructionInfo::btRigidBodyConstructionInfo | ( | btScalar | mass,
|  | btMotionState * | motionState,
|  | btCollisionShape * | collisionShape,
|  | const btVector3 & | localInertia = `btVector3(0, 0, 0)`
| ) |  |
| inline

Definition at line 144 of file btRigidBody.h.

## Member Data Documentation

## ◆ m_additionalAngularDampingFactor

btScalar btRigidBody::btRigidBodyConstructionInfo::m_additionalAngularDampingFactor

Definition at line 142 of file btRigidBody.h.

## ◆ m_additionalAngularDampingThresholdSqr

btScalar btRigidBody::btRigidBodyConstructionInfo::m_additionalAngularDampingThresholdSqr

Definition at line 141 of file btRigidBody.h.

## ◆ m_additionalDamping

bool btRigidBody::btRigidBodyConstructionInfo::m_additionalDamping

Definition at line 138 of file btRigidBody.h.

## ◆ m_additionalDampingFactor

btScalar btRigidBody::btRigidBodyConstructionInfo::m_additionalDampingFactor

Definition at line 139 of file btRigidBody.h.

## ◆ m_additionalLinearDampingThresholdSqr

btScalar btRigidBody::btRigidBodyConstructionInfo::m_additionalLinearDampingThresholdSqr

Definition at line 140 of file btRigidBody.h.

## ◆ m_angularDamping

btScalar btRigidBody::btRigidBodyConstructionInfo::m_angularDamping

Definition at line 121 of file btRigidBody.h.

## ◆ m_angularSleepingThreshold

btScalar btRigidBody::btRigidBodyConstructionInfo::m_angularSleepingThreshold

Definition at line 134 of file btRigidBody.h.

## ◆ m_collisionShape

btCollisionShape* btRigidBody::btRigidBodyConstructionInfo::m_collisionShape

Definition at line 118 of file btRigidBody.h.

## ◆ m_friction

btScalar btRigidBody::btRigidBodyConstructionInfo::m_friction

best simulation results when friction is non-zero

Definition at line 124 of file btRigidBody.h.

## ◆ m_linearDamping

btScalar btRigidBody::btRigidBodyConstructionInfo::m_linearDamping

Definition at line 120 of file btRigidBody.h.

## ◆ m_linearSleepingThreshold

btScalar btRigidBody::btRigidBodyConstructionInfo::m_linearSleepingThreshold

Definition at line 133 of file btRigidBody.h.

## ◆ m_localInertia

btVector3 btRigidBody::btRigidBodyConstructionInfo::m_localInertia

Definition at line 119 of file btRigidBody.h.

## ◆ m_mass

btScalar btRigidBody::btRigidBodyConstructionInfo::m_mass

Definition at line 111 of file btRigidBody.h.

## ◆ m_motionState

btMotionState* btRigidBody::btRigidBodyConstructionInfo::m_motionState

When a motionState is provided, the rigid body will initialize its world transform from the motion state In this case, m_startWorldTransform is ignored.

Definition at line 115 of file btRigidBody.h.

## ◆ m_restitution

btScalar btRigidBody::btRigidBodyConstructionInfo::m_restitution

best simulation results using zero restitution.

Definition at line 131 of file btRigidBody.h.

## ◆ m_rollingFriction

btScalar btRigidBody::btRigidBodyConstructionInfo::m_rollingFriction

the m_rollingFriction prevents rounded shapes, such as spheres, cylinders and capsules from rolling forever.

See Bullet/Demos/RollingFrictionDemo for usage

Definition at line 127 of file btRigidBody.h.

## ◆ m_spinningFriction

btScalar btRigidBody::btRigidBodyConstructionInfo::m_spinningFriction

Definition at line 128 of file btRigidBody.h.

## ◆ m_startWorldTransform

btTransform btRigidBody::btRigidBodyConstructionInfo::m_startWorldTransform

Definition at line 116 of file btRigidBody.h.

The documentation for this struct was generated from the following file:

- btRigidBody.h